GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Structures | Macros | Typedefs | Enumerations | Functions | Variables
call.h File Reference
`#include "src/core/channel/channel_stack.h"`
`#include "src/core/channel/context.h"`
`#include <grpc/grpc.h>`

Go to the source code of this file.

## Data Structures
union | grpc_ioreq_data
struct | grpc_ioreq

## Macros
#define | GRPC_CALL_INTERNAL_REF(call, reason) grpc_call_internal_ref(call)
#define | GRPC_CALL_INTERNAL_UNREF(call, reason, allow_immediate_deletion) grpc_call_internal_unref(call, allow_immediate_deletion)
#define | GRPC_CALL_LOG_BATCH(sev, call, ops, nops, tag) if (grpc_trace_batch) grpc_call_log_batch(sev, call, ops, nops, tag)
#define | GRPC_SERVER_LOG_REQUEST_CALL(sev, server, call, details,initial_metadata, cq_bound_to_call,cq_for_notifications, tag)
#define | GRPC_SERVER_LOG_SHUTDOWN(sev, server, cq, tag) if (grpc_trace_batch) grpc_server_log_shutdown(sev, server, cq, tag)

## Typedefs
typedef void(* | grpc_ioreq_completion_func )(grpc_call *call, int success, void *user_data)

## Enumerations
enum | grpc_ioreq_op { GRPC_IOREQ_RECV_INITIAL_METADATA, GRPC_IOREQ_RECV_MESSAGE, GRPC_IOREQ_RECV_TRAILING_METADATA, GRPC_IOREQ_RECV_STATUS, GRPC_IOREQ_RECV_STATUS_DETAILS, GRPC_IOREQ_RECV_CLOSE, GRPC_IOREQ_SEND_INITIAL_METADATA, GRPC_IOREQ_SEND_MESSAGE, GRPC_IOREQ_SEND_TRAILING_METADATA, GRPC_IOREQ_SEND_STATUS, GRPC_IOREQ_SEND_CLOSE, GRPC_IOREQ_OP_COUNT }

## Functions
grpc_call * | grpc_call_create (grpc_channel *channel, grpc_completion_queue *cq, const void *server_transport_data, grpc_mdelem **add_initial_metadata, size_t add_initial_metadata_count, gpr_timespec send_deadline)
void | grpc_call_set_completion_queue (grpc_call *call, grpc_completion_queue *cq)
grpc_completion_queue * | grpc_call_get_completion_queue (grpc_call *call)
void | grpc_call_internal_ref (grpc_call *call)
void | grpc_call_internal_unref (grpc_call *call, int allow_immediate_deletion)
grpc_call_error | grpc_call_start_ioreq_and_call_back (grpc_call *call, const grpc_ioreq *reqs, size_t nreqs, grpc_ioreq_completion_func on_complete, void *user_data)
grpc_call_stack * | grpc_call_get_call_stack (grpc_call *call)
grpc_call * | grpc_call_from_top_element (grpc_call_element *surface_element)
void | grpc_call_log_batch (char *file, int line, gpr_log_severity severity, grpc_call *call, const grpc_op *ops, size_t nops, void *tag)
void | grpc_server_log_request_call (char *file, int line, gpr_log_severity severity, grpc_server *server, grpc_call **call, grpc_call_details *details, grpc_metadata_array *initial_metadata, grpc_completion_queue *cq_bound_to_call, grpc_completion_queue *cq_for_notification, void *tag)
void | grpc_server_log_shutdown (char *file, int line, gpr_log_severity severity, grpc_server *server, grpc_completion_queue *cq, void *tag)
void | grpc_call_context_set (grpc_call *call, grpc_context_index elem, void *value, void(*destroy)(void *value))
void * | grpc_call_context_get (grpc_call *call, grpc_context_index elem)
gpr_uint8 | grpc_call_is_client (grpc_call *call)

## Variables
int | grpc_trace_batch

## Macro Definition Documentation

#define GRPC_CALL_INTERNAL_REF | ( |  | call,
|  |  | reason
| ) |  | grpc_call_internal_ref(call)

#define GRPC_CALL_INTERNAL_UNREF | ( |  | call,
|  |  | reason,
|  |  | allow_immediate_deletion
| ) |  | grpc_call_internal_unref(call, allow_immediate_deletion)

#define GRPC_CALL_LOG_BATCH | ( |  | sev,
|  |  | call,
|  |  | ops,
|  |  | nops,
|  |  | tag
| ) |  | if (grpc_trace_batch) grpc_call_log_batch(sev, call, ops, nops, tag)

#define GRPC_SERVER_LOG_REQUEST_CALL | ( |  | sev,
|  |  | server,
|  |  | call,
|  |  | details,
|  |  | initial_metadata,
|  |  | cq_bound_to_call,
|  |  | cq_for_notifications,
|  |  | tag
| ) |  |

Value:
if (grpc_trace_batch) \
grpc_server_log_request_call(sev, server, call, details, initial_metadata, \
cq_bound_to_call, cq_for_notifications, tag)
grpc_server_log_request_call
void grpc_server_log_request_call(char *file, int line, gpr_log_severity severity, grpc_server *server, grpc_call **call, grpc_call_details *details, grpc_metadata_array *initial_metadata, grpc_completion_queue *cq_bound_to_call, grpc_completion_queue *cq_for_notification, void *tag)
Definition: call_log_batch.c:124
grpc_trace_batch
int grpc_trace_batch
Definition: call_log_batch.c:40

#define GRPC_SERVER_LOG_SHUTDOWN | ( |  | sev,
|  |  | server,
|  |  | cq,
|  |  | tag
| ) |  | if (grpc_trace_batch) grpc_server_log_shutdown(sev, server, cq, tag)

## Typedef Documentation

typedef void(* grpc_ioreq_completion_func)(grpc_call *call, int success, void *user_data)

## Enumeration Type Documentation

enum grpc_ioreq_op

Enumerator
GRPC_IOREQ_RECV_INITIAL_METADATA |
GRPC_IOREQ_RECV_MESSAGE |
GRPC_IOREQ_RECV_TRAILING_METADATA |
GRPC_IOREQ_RECV_STATUS |
GRPC_IOREQ_RECV_STATUS_DETAILS |
GRPC_IOREQ_RECV_CLOSE |
GRPC_IOREQ_SEND_INITIAL_METADATA |
GRPC_IOREQ_SEND_MESSAGE |
GRPC_IOREQ_SEND_TRAILING_METADATA |
GRPC_IOREQ_SEND_STATUS |
GRPC_IOREQ_SEND_CLOSE |
GRPC_IOREQ_OP_COUNT |

## Function Documentation

void* grpc_call_context_get | ( | grpc_call * | call,
|  | grpc_context_index | elem
| ) |  |

void grpc_call_context_set | ( | grpc_call * | call,
|  | grpc_context_index | elem,
|  | void * | value,
|  | void(*)(void *value) | destroy
| ) |  |

grpc_call* grpc_call_create | ( | grpc_channel * | channel,
|  | grpc_completion_queue * | cq,
|  | const void * | server_transport_data,
|  | grpc_mdelem ** | add_initial_metadata,
|  | size_t | add_initial_metadata_count,
|  | gpr_timespec | send_deadline
| ) |  |

grpc_call* grpc_call_from_top_element | ( | grpc_call_element * | surface_element | ) |

grpc_call_stack* grpc_call_get_call_stack | ( | grpc_call * | call | ) |

grpc_completion_queue* grpc_call_get_completion_queue | ( | grpc_call * | call | ) |

void grpc_call_internal_ref | ( | grpc_call * | call | ) |

void grpc_call_internal_unref | ( | grpc_call * | call,
|  | int | allow_immediate_deletion
| ) |  |

gpr_uint8 grpc_call_is_client | ( | grpc_call * | call | ) |

void grpc_call_log_batch | ( | char * | file,
|  | int | line,
|  | gpr_log_severity | severity,
|  | grpc_call * | call,
|  | const grpc_op * | ops,
|  | size_t | nops,
|  | void * | tag
| ) |  |

void grpc_call_set_completion_queue | ( | grpc_call * | call,
|  | grpc_completion_queue * | cq
| ) |  |

grpc_call_error grpc_call_start_ioreq_and_call_back | ( | grpc_call * | call,
|  | const grpc_ioreq * | reqs,
|  | size_t | nreqs,
|  | grpc_ioreq_completion_func | on_complete,
|  | void * | user_data
| ) |  |

void grpc_server_log_request_call | ( | char * | file,
|  | int | line,
|  | gpr_log_severity | severity,
|  | grpc_server * | server,
|  | grpc_call ** | call,
|  | grpc_call_details * | details,
|  | grpc_metadata_array * | initial_metadata,
|  | grpc_completion_queue * | cq_bound_to_call,
|  | grpc_completion_queue * | cq_for_notification,
|  | void * | tag
| ) |  |

void grpc_server_log_shutdown | ( | char * | file,
|  | int | line,
|  | gpr_log_severity | severity,
|  | grpc_server * | server,
|  | grpc_completion_queue * | cq,
|  | void * | tag
| ) |  |

## Variable Documentation

int grpc_trace_batch